---
tags: 
  - Order Line Items
description: 
  Adds an OrderLineItem to an Order.
  <ul>
    <li>The `order_number` is required.</li>
    <li>A `user` attribute is required, containing an `id` and `api_key`.  If these don't match with the Order's `user_id`, an error will be returned.</li>
    <li>The `line_item_name` is required, which must match with an `OrderLineItem` enum value.</li>
    <li>The OrderLineItem must not already be in the Order.</li>
  </ul>
parameters:
  - in: header
    name: Authorization
    type: string
    required: true
  - in: body
    name: body
    type: object
    required: true
    schema:
      example: {
        user: { id: 1, api_key: "abc123" },
        order_number: "S1234567",
        line_item_name: "SHAPEFILE"
      }
produces: 
  - 'application/json'
responses:
  201:
    schema:
      type: object
      properties:
        title:
          type: string
          example: Shapefile
  401:
    schema:
      type: object
      properties:
        error:
          type: string
          example: User not authorised|User not found|Order not found
  406:
    schema:
      type: object
      properties:
        error:
          type: string
          example: No such product|Product already exists in Order

